Bug 713759 - [RFE] Add code in network-scripts to load static arp entries from ethers file
Summary: [RFE] Add code in network-scripts to load static arp entries from ethers file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-tools
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 696788 836282
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-16 13:56 UTC by Bill Nottingham
Modified: 2014-03-17 03:28 UTC (History)
8 users (show)

Fixed In Version: net-tools-1.60-121.fc16
Doc Type: Enhancement
Doc Text:
Clone Of: 696788
Environment:
Last Closed: 2011-06-17 11:42:44 UTC


Attachments (Terms of Use)
systemd unit file (277 bytes, text/plain)
2011-06-16 14:00 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2011-06-16 13:56:16 UTC
+++ This bug was initially created as a clone of Bug #696788 +++

Request: add code in network init script to load static arp
entries from ethers.  

There are times when you want to load static arp entries early in startup of
the system. Doing this in the network script is preferable to make sure other
network services can access network resources.  It appears there is no other
standard way to automatically load these entries currently. 

For earlier RHEL, the request was to add few lines to the network script to load static arp entries from the ethers file.

However, for Fedora, this is easier done, with less overhead, as a systemd unit file.

We can either carry this in net-tools, or I can carry it in initscripts. I'll attach the proposed unit.

Comment 1 Bill Nottingham 2011-06-16 14:00:43 UTC
Created attachment 505052 [details]
systemd unit file

Here's a simple service entry (please verify). It should be enabled by default, since it only runs if configured.

Comment 2 Jiri Popelka 2011-06-16 14:40:50 UTC
Yes, it would be better to carry it in package that installs arp and default /etc/ethers, i.e. in net-tools.

Comment 3 J.H.M. Dassen (Ray) 2011-06-16 16:18:31 UTC
Restoring CCs which appear to have been dropped by accident.

Comment 4 Bill Nottingham 2011-06-16 18:43:58 UTC
Although, to avoid inefficiency, we may want to stop shipping a default /etc/ethers so that ConditionPathExists can successfully avoid spawning the service except when necessary.


Note You need to log in before you can comment on or make changes to this bug.